See README for dependencies.

If you get code from VCS, you will need Autotools (automake, autoconf,
libtool) and gettext in addition and you must prepare build system with
`autoreconf --install'.

Then run `./configure && make && make install' to build and install library
into your system.

If you want to change installation directory use appropriate configure
argument (see `./configure --help' for more details).

Additional configure options:

    --disable-doc

        Do not build and install documentation. This is enabled by default.

    --enable-example

        Build example client. You can run and study example clients in `client'
        subdirectory.

    --enable-test

        Build and run library internal tests. You can run tests by
        `make check'. You can run and study each test in `test' subdirectory.

    --enable-online-test

        Build and run library internal tests that require Internet access in
        addition. --enable-test must be supplied too. You can run tests by
        `make check'. You can run and study each test in `test/online'
        subdirectory.

    --enable-debug

        Switch on debugging mode, compile in debugging code.

    --disable-fatalwarnings

        Switch off compile mode when compiler raises error on warning. This is
        enabled to catch all code ambiguities by default.

    --enable-openssl-backend

        Use OpenSSL library instead of GPGme library for parsing
        a cryptographic message syntax structures and use OpenSSL library
        instead of Libgcrypt library to compute hashes. GPGme and Libgrypt
        back-end is used by default.

    --with-docbook-xsl-stylesheets

        Set directory where DocBook XSLT stylesheets for producing manual
        pages are installed.

    --without-libcurl

        Disable network operations by omitting cURL library. It disables
        on-line tests too. Library will keep capability to process local
        messages and delivery details. Library will not be able to connect to
        ISDS server in this mode.

    --enable-curlreauthorizationbug

        Compile in work-around for HTTP reauthorization bug in cURL library.
        This is disabled by default. This bug will be fixed in cURL 7.28.0
        by cURL commit ce8311c7e49eca93c136b58efa6763853541ec97. This bug
        affects changing ISDS password while OTP authentication method is in
        use.

Large File Support (LFS) Notice: libdatovka uses GPGME by default, and GPGME is
by default compiled with LFS on. You need to keep LFS compatibility on reverse
dependencies (libdatovka library, your application using libdatovka), otherwise
strange things can happen (e.g. file/message/document sizes can mismatch).
libdatovka switches LFS on too. Use --disable-largefile to switch it off if you
think it's more appropriate. However recall this tweak when building your
application.

Example clients and tests are not installed by `make install'.
